Public Member Functions | Public Attributes | List of all members
StyleParserInternal::Font Struct Reference

small structure used to store a font and a picture More...

## Public Member Functions
| Font ()
| constructor More...
bool | hasPicture () const
| returns true if the picture is valid More...

## Public Attributes
MWAWFont | m_font
| the font More...
Picture | m_picture
| the picture More...

## Detailed Description

small structure used to store a font and a picture

## Constructor & Destructor Documentation

## ◆ Font()

StyleParserInternal::Font::Font | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ hasPicture()

bool StyleParserInternal::Font::hasPicture | ( |  | ) | const
| inline

returns true if the picture is valid

Referenced by StyleParser::sendText().

## Member Data Documentation

## ◆ m_font

MWAWFont StyleParserInternal::Font::m_font

the font

Referenced by StyleParser::readFormats(), StyleParser::readStyleTable(), and StyleParser::sendText().

## ◆ m_picture

Picture StyleParserInternal::Font::m_picture

the picture

Referenced by StyleParser::readFormats(), and StyleParser::sendText().

The documentation for this struct was generated from the following file:

- StyleParser.cxx